@media print {
  // define page layout
  @page {
    size: A4;
    .main-wrapper {
      width: 100%;
    }
  }

  // hide things we do not want to print
  //.sidebar-wrapper .avatar,
  .education-container.container-block .details,
  .list-unstyled.contact-list li,
  .list-unstyled.interests-list .lang-emoji,
  .section-title .fa-stack,
  .skill-details .fa-li {
    display: none;
  }

  /// but show the things we do
  .list-unstyled.contact-list li.print-persist {
    display: flex;
    text-decoration: none;
  }

  // print layout
  .wrapper {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    background: none;
  }

  .sidebar-wrapper {
    position: static;
    float: left;
    width: 40%;
    height: 99vh;
    margin-right: 3%;
    -webkit-print-color-adjust: exact; 
  }

  .main-wrapper .section-title,
  .main-wrapper .section,
   p {
    margin-bottom: 10px;
  }
  /// better spacing on the sidebar
  .contact-container.container-block {
    padding-top: 20px;
    padding-bottom: 0px;
  }

  /// no space at the end of the doc (saves a blank page)
  .main-wrapper,
  .section.publications-section {
    padding-top: 5pt;
    padding-bottom: 0pt;
    margin-bottom: 0pt;
  }

  // print styles
  body {
    font-size: 10pt;
    background: none;
  }

  .fa-inverse,
  .fa-inverse:after,
  .fa-inverse:before {
    color: #ffffff !important;
    -webkit-print-color-adjust: exact;
  }

  /// do not underline sidebar links
  .contact-container.container-block a {
    text-decoration: none;
  }

  .skillset .area {
    background: none;
    margin-bottom: 0;
  }

  .skillset .area-title {
    padding: 0;
    margin-bottom: 0;
  }

  /// change skills list to csv
  .skillset .skill-details {
    width: 100%;
    text-transform: none;
  }

  /// recover margin space
  .skill-details .fa-ul {
    margin-left: 0px !important;
  }

  /// list all items on a single line of text
  .skill-details .fa-ul>li {
    display: inline;
  }

  /// separate list elements with periods (used to be commas)...
  .skill-details .fa-ul>li::after {
    content: ". ";
  }

  //// but finish with a period :)
  //.skill-details .fa-ul>li:last-child::after {
  //  content: ".";
  //}

  /// make work experience dates more legible on print
  h3 { display: inline; }
  .main-wrapper .time {
    float: right;
    color: black !important;
    -webkit-print-color-adjust: exact; 
  }

  .section.publications-section {
    text-align: left;
  }

  .section.publications-section .publication-where {
    margin-bottom: 8px;
  }
  /// do not underline publication links
  .section.publications-section li a {
    text-decoration: none;
  }

  /// and show the URL (can't click on paper)
  ///.section.publications-section li a::after {
  ///  content: " - " attr(href);
  ///}
}
